Get game by ID
curl --request GET \
--url https://api.16tms.com/api/v1/games/{gameId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.16tms.com/api/v1/games/{gameId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.16tms.com/api/v1/games/{gameId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Game retrieved successfully",
"data": {
"id": "de578779-61ec-4425-8e13-5b61971bd353",
"name": "test",
"description": "dsf",
"shortName": "test",
"region": "Global",
"developer": "",
"publisher": "",
"platForm": "Android/iOS",
"genre": "",
"image": "https://metaninzamedia.blob.core.windows.net/media/games/20260209111206_8be0463e43471d299608f26d92555064.webp",
"coverImage": "",
"uidPlaceholder": "Enter UID",
"mapCount": 0
},
"meta": {
"traceId": "00-8340d7d724284b1e5036a4b43ce2b1ed-adcf19d2092cb268-00",
"elapsedMs": 1.85,
"serverTimestamp": "2026-02-09T11:12:15.9163903Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "gameId",
"message": "Invalid game ID format"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Game not found",
"meta": {
"traceId": "00-8340d7d724284b1e5036a4b43ce2b1ed-adcf19d2092cb268-00",
"serverTimestamp": "2026-02-09T11:12:15.9163903Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "gameId",
"message": "Invalid game ID format"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}API Reference
Get game by ID
Retrieves detailed information about a specific game by its unique identifier.
GET
/
games
/
{gameId}
Get game by ID
Authorizations
API key for authentication. You can generate this from the 16TMS console.
Path Parameters
The unique identifier of the game
⌘I